net.minecraft.item

## Enum EnumArmorMaterial

- java.lang.Object
- - java.lang.Enum<EnumArmorMaterial>
  - - net.minecraft.item.EnumArmorMaterial

- All Implemented Interfaces:
    Serializable, Comparable<EnumArmorMaterial>

      public enum EnumArmorMaterial
      extends Enum<EnumArmorMaterial>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHAIN`
    `CLOTH`
    `DIAMOND`
    `GOLD`
    `IRON`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Item` | `customCraftingMaterial`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArmorCraftingMaterial()` Return the crafting material for this armor material, used to determine the item that can be used to repair an armor piece with an anvil
    `int` | `getDamageReductionAmount(int par1)` Return the damage reduction (each 1 point is a half a shield on gui) of the piece index passed (0 = helmet, 1 = plate, 2 = legs and 3 = boots)
    `int` | `getDurability(int par1)` Returns the durability for a armor slot of for this type.
    `int` | `getEnchantability()` Return the enchantability factor of the material.
    `static EnumArmorMaterial` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumArmorMaterial[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOTH

          public static final EnumArmorMaterial CLOTH

    - #### CHAIN

          public static final EnumArmorMaterial CHAIN

    - #### IRON

          public static final EnumArmorMaterial IRON

    - #### GOLD

          public static final EnumArmorMaterial GOLD

    - #### DIAMOND

          public static final EnumArmorMaterial DIAMOND

  - ### Field Detail

    - #### customCraftingMaterial

          public Item customCraftingMaterial

  - ### Method Detail

    - #### values

          public static EnumArmorMaterial[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumArmorMaterial c : EnumArmorMaterial.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumArmorMaterial valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDurability

          public int getDurability(int par1)

      Returns the durability for a armor slot of for this type.

    - #### getDamageReductionAmount

          public int getDamageReductionAmount(int par1)

      Return the damage reduction (each 1 point is a half a shield on gui) of the piece index passed (0 = helmet, 1 = plate, 2 = legs and 3 = boots)

    - #### getEnchantability

          public int getEnchantability()

      Return the enchantability factor of the material.

    - #### getArmorCraftingMaterial

          public int getArmorCraftingMaterial()

      Return the crafting material for this armor material, used to determine the item that can be used to repair an armor piece with an anvil